Skip to main content
`Ctrl`+`K`

# DMPlexGetCeedRestriction

Define the libCEED map from the local vector (Lvector) to the cells (Evector)

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetCeedRestriction(DM dm, DMLabel domain_label, PetscInt label_value, PetscInt height, PetscInt dm_field, CeedElemRestriction *ERestrict)

## Input Parameters

- dm - The `DMPLEX` object

- domain_label - label for `DMPLEX` domain, or NULL for the whole domain

- label_value - Stratum value

- height - Height of target cells in `DMPLEX` topology

- dm_field - Index of `DMPLEX` field

## Output Parameter

- ERestrict - libCEED restriction from local vector to the cells

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLabel`, `DMPlexGetLocalOffsets()`

## Level

developer

## Location

src/dm/impls/plex/plexceed.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages